CRYPT-XORDATAEXCHANGE(1)

NAME
crypt-xordataexchange - Store and retrieve encrypted configuration parameters from etcd or Consul

SYNOPSIS
crypt-xordataexchange get [arg...] key
crypt-xordataexchange list [arg...] key
crypt-xordataexchange set [arg...] key file

DESCRIPTION
Fess up. You have passwords and usernames hard coded in your apps. You have IP addresses checked in to your source code repository. You have entire configuration files that were created by the developer who wrote the app and haven't been changed since she typed "git init".

crypt (crypt-xordataexchange) is here to lead you back to the Path of Enlightened Configuration. Store encrypted configuration values in etcd or Consul using a command-line application.

COMMANDS

get retrieve the value of a key

list
    retrieve all values under a key

set set the value of a key

OPTIONS

-backend="etcd"
    backend provider

-endpoint=""
    backend URL

-keyring=".pubring.gpg"
    path to armored public keyring (for set only)

-secret-keyring=".secring.gpg"
    path to armored secret keyring (for get and list only)

-plaintext=false
    don't encrypt or decrypt the values before storage or retrieval

COPYRIGHT
Copyright © 2014 XOR Data Exchange, Inc.
Distributed under the MIT License.

SEE ALSO
Full documentation at: <http://xordataexchange.github.io/crypt/>
GitHub: <https://github.com/xordataexchange/crypt>